de.esprit.appsuite.project

## Class Project

- java.lang.Object
- - de.esprit.appsuite.project.Project

- Direct Known Subclasses:
    AppSuiteProject, NetSuiteProject

      public abstract class Project
      extends java.lang.Object

  This class encapsulates project specific file paths. Note that this class is supposed to be used for internal development tools only. It MUST NOT be used in production software.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Project()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.io.File` | `ensureDirectoryCreated(java.io.File dir)`
    `Version` | `getAppSuiteVersion()`
    `java.io.File` | `getBinDir()`
    `java.io.File` | `getClassesDir()`
    `protected java.lang.String` | `getClassesDirName()`
    `java.io.File` | `getLibDir()`
    `java.io.File` | `getPackageDirOf(java.lang.Class c)` Returns the absolute directory of the package of this class
    `Version` | `getProductVersion()` Defines a custom product version which adds on top of the AppSuiteVersion.
    `java.io.File` | `getProjectDir()`
    `abstract java.lang.String` | `getProjectName()`
    `java.io.File` | `getResourcePath(java.lang.String relativePath)`
    `java.io.File` | `getSourcesDir()`
    `protected java.lang.String` | `getSourcesDirName()`
    `java.io.File` | `getTestProcessExecutableFile()` Returns the full pathname of the 'testprocess' executable.
    `java.lang.String` | `getTestprocessExecutableName()` The 'testprocess' executable is platform dependent.
    `java.io.File` | `getUserWorkingDir()`
    `java.io.File` | `getWorkingDir()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Project

          protected Project()

  - ### Method Detail

    - #### ensureDirectoryCreated

          protected java.io.File ensureDirectoryCreated(java.io.File dir)

    - #### getPackageDirOf

          public java.io.File getPackageDirOf(java.lang.Class c)

      Returns the absolute directory of the package of this class

    - #### getProjectName

          public abstract java.lang.String getProjectName()

    - #### getProductVersion

          public Version getProductVersion()

      Defines a custom product version which adds on top of the AppSuiteVersion. This version may be left null if not applicable.

    - #### getSourcesDirName

          protected java.lang.String getSourcesDirName()

    - #### getClassesDirName

          protected java.lang.String getClassesDirName()

    - #### getTestProcessExecutableFile

          public final java.io.File getTestProcessExecutableFile()

      Returns the full pathname of the 'testprocess' executable.

    - #### getTestprocessExecutableName

          public java.lang.String getTestprocessExecutableName()

      The 'testprocess' executable is platform dependent. Note that is does not exist for all platforms (i.e. MacOS). It is available for the platforms solaris_sparc, solaris_amd64, linux_i386, windows(32bit).

    - #### getProjectDir

          public final java.io.File getProjectDir()

    - #### getBinDir

          public final java.io.File getBinDir()

    - #### getLibDir

          public final java.io.File getLibDir()

    - #### getUserWorkingDir

          public final java.io.File getUserWorkingDir()

    - #### getWorkingDir

          public java.io.File getWorkingDir()

    - #### getSourcesDir

          public final java.io.File getSourcesDir()

    - #### getClassesDir

          public final java.io.File getClassesDir()

    - #### getResourcePath

          public final java.io.File getResourcePath(java.lang.String relativePath)

    - #### getAppSuiteVersion

          public final Version getAppSuiteVersion()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.